Skip to Content
Account

Generate new Bitcoin address

POST/account/address/bitcoinPrivate

Generate a new Bitcoin deposit address. Without format, the address uses the format of your settings. Fails with BAD_REQUEST when you already have more than 10 unused addresses.

Permissions: account:deposits:write

Request Body

application/json
  1. body
format?string

The format of the address

Value in"p2wpkh""p2tr"

Response Body

OK

application/json
  1. response
address*string

The generated Bitcoin address

createdAt*string

The creation time of the address

Formatdate-time
import { createHttpClient } from '@ln-markets/sdk/rest/v3'

const client = createHttpClient({
  key: 'your-key',
  secret: 'your-secret',
  passphrase: 'your-passphrase',
})

const result = await client.account.addBitcoinAddress({})
{
  "address": "bc1q...",
  "createdAt": "2026-11-09T17:08:56.139Z"
}